<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/automate.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Structures de données</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier automate.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Un automate cellulaire est une structure travaillant principalement sur l'évolution de chaque cellule sur un certain nombre d'itération.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;automate.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de automate.c:</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c__incl.png" border="0" usemap="#src_2automate_8c" alt=""/></div>
<map name="src_2automate_8c" id="src_2automate_8c">
<area shape="rect" title="Un automate cellulaire est une structure travaillant principalement sur l&#39;évolution de chaque cellule..." alt="" coords="5,5,115,32"/>
<area shape="rect" title=" " alt="" coords="17,80,103,107"/>
</map>
</div>
</div>
<p><a href="automate_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Structures de données</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structautomate__cell.html">automate_cell</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Un automate cellulaire.  <a href="structautomate__cell.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a117ebb3a717f9bbd035e7b295dcf26cb"><td class="memItemLeft" align="right" valign="top">ptr_automate&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb">creer_automate</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a117ebb3a717f9bbd035e7b295dcf26cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer un automate appartir des dnnées de configuration (structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>)  <a href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb">Plus de détails...</a><br /></td></tr>
<tr class="separator:a117ebb3a717f9bbd035e7b295dcf26cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e1c93736b3bc4efedcb6a9846b1889"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889">evoluer</a> (ptr_automate automate)</td></tr>
<tr class="memdesc:aa3e1c93736b3bc4efedcb6a9846b1889"><td class="mdescLeft">&#160;</td><td class="mdescRight">Faire évoluer les ceellules de l'automate appartir d'une règle.  <a href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa3e1c93736b3bc4efedcb6a9846b1889"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ba78ebbf6cec54e6e4e0fa0fced8ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee">delete_automate</a> (ptr_automate *ptr)</td></tr>
<tr class="memdesc:aa3ba78ebbf6cec54e6e4e0fa0fced8ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">Désaloue la mémoire des attributs de la structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a>, la structure elle même et son pointeur.  <a href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee">Plus de détails...</a><br /></td></tr>
<tr class="separator:aa3ba78ebbf6cec54e6e4e0fa0fced8ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fdbceb307999d064bf86f99d3598539"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539">_affiche_automate_terminal_somme</a> (ptr_automate automate)</td></tr>
<tr class="memdesc:a9fdbceb307999d064bf86f99d3598539"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche les attributs de la structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a>.  <a href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9fdbceb307999d064bf86f99d3598539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a320cea72ddfeeb38cef103fff39e31b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4">_affiche_automate_image</a> (ptr_automate automate)</td></tr>
<tr class="memdesc:a320cea72ddfeeb38cef103fff39e31b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Crée une mage PGM, stock le résultat de l'automate et enregistre l'image.  <a href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4">Plus de détails...</a><br /></td></tr>
<tr class="separator:a320cea72ddfeeb38cef103fff39e31b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab13ad43eea87c41a9a080239a0887a7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f">_affiche_automate_terminal_binaire</a> (ptr_automate automate)</td></tr>
<tr class="memdesc:ab13ad43eea87c41a9a080239a0887a7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction générique perrmettant d'afficher dans le terminal avec des symboles (ex: X, #, +, etc)  <a href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f">Plus de détails...</a><br /></td></tr>
<tr class="separator:ab13ad43eea87c41a9a080239a0887a7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5739d8a1c873eea2c0a1099cc20ea7ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="automate_8c.html#a5739d8a1c873eea2c0a1099cc20ea7ef">affiche_automate</a> (ptr_automate automate, void(*_affiche)(ptr_automate))</td></tr>
<tr class="memdesc:a5739d8a1c873eea2c0a1099cc20ea7ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fonction generique permettant d'afficher differemment l'automate.  <a href="automate_8c.html#a5739d8a1c873eea2c0a1099cc20ea7ef">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5739d8a1c873eea2c0a1099cc20ea7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Un automate cellulaire est une structure travaillant principalement sur l'évolution de chaque cellule sur un certain nombre d'itération. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-10-04</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a320cea72ddfeeb38cef103fff39e31b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a320cea72ddfeeb38cef103fff39e31b4">&#9670;&nbsp;</a></span>_affiche_automate_image()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _affiche_automate_image </td>
          <td>(</td>
          <td class="paramtype">ptr_automate&#160;</td>
          <td class="paramname"><em>automate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Crée une mage PGM, stock le résultat de l'automate et enregistre l'image. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">automate</td><td>Un pointeur de pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00189">189</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_cgraph.png" border="0" usemap="#automate_8c_a320cea72ddfeeb38cef103fff39e31b4_cgraph" alt=""/></div>
<map name="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_cgraph" id="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_cgraph">
<area shape="rect" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="5,144,175,171"/>
<area shape="rect" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="252,5,345,32"/>
<area shape="rect" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="461,56,535,83"/>
<area shape="rect" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="223,107,375,149"/>
<area shape="rect" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="223,225,375,266"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="229,173,368,200"/>
<area shape="rect" href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8" title="Retourne l&#39;attribut &quot;nb_magique&quot;." alt="" coords="439,285,557,312"/>
<area shape="rect" href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191" title="Retourne l&#39;attribut &quot;enregistrer_image&quot;." alt="" coords="423,5,573,32"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="453,127,543,153"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="455,177,541,204"/>
<area shape="rect" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="453,231,543,257"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_icgraph.png" border="0" usemap="#automate_8c_a320cea72ddfeeb38cef103fff39e31b4_icgraph" alt=""/></div>
<map name="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_icgraph" id="automate_8c_a320cea72ddfeeb38cef103fff39e31b4_icgraph">
<area shape="rect" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,5,273,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="ab13ad43eea87c41a9a080239a0887a7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab13ad43eea87c41a9a080239a0887a7f">&#9670;&nbsp;</a></span>_affiche_automate_terminal_binaire()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _affiche_automate_terminal_binaire </td>
          <td>(</td>
          <td class="paramtype">ptr_automate&#160;</td>
          <td class="paramname"><em>automate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction générique perrmettant d'afficher dans le terminal avec des symboles (ex: X, #, +, etc) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">automate</td><td>Un pointeur de pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00225">225</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_cgraph.png" border="0" usemap="#automate_8c_ab13ad43eea87c41a9a080239a0887a7f_cgraph" alt=""/></div>
<map name="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_cgraph" id="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_cgraph">
<area shape="rect" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="5,99,185,141"/>
<area shape="rect" href="fichier__configuration_8c.html#a50675bf48ff97d3282760437d7e9c69e" title="Retourne l&#39;attribut &quot;cellule_symbole&quot;." alt="" coords="238,5,378,32"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="263,56,353,83"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="265,107,351,133"/>
<area shape="rect" href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190" title="Retourne l&#39;attribut &quot;numero_binaire&quot;." alt="" coords="241,157,375,184"/>
<area shape="rect" href="regle_8c.html#abb64bb8f15528e167294857d015a193a" title="Retourne l&#39;attribut &quot;numero_decimale&quot;." alt="" coords="233,208,383,235"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_icgraph.png" border="0" usemap="#automate_8c_ab13ad43eea87c41a9a080239a0887a7f_icgraph" alt=""/></div>
<map name="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_icgraph" id="automate_8c_ab13ad43eea87c41a9a080239a0887a7f_icgraph">
<area shape="rect" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="a9fdbceb307999d064bf86f99d3598539"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fdbceb307999d064bf86f99d3598539">&#9670;&nbsp;</a></span>_affiche_automate_terminal_somme()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _affiche_automate_terminal_somme </td>
          <td>(</td>
          <td class="paramtype">ptr_automate&#160;</td>
          <td class="paramname"><em>automate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche les attributs de la structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">automate</td><td>Un pointeur de pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00166">166</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a9fdbceb307999d064bf86f99d3598539_cgraph.png" border="0" usemap="#automate_8c_a9fdbceb307999d064bf86f99d3598539_cgraph" alt=""/></div>
<map name="automate_8c_a9fdbceb307999d064bf86f99d3598539_cgraph" id="automate_8c_a9fdbceb307999d064bf86f99d3598539_cgraph">
<area shape="rect" title="Affiche les attributs de la structure automate_cell." alt="" coords="5,49,185,90"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="255,5,346,32"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="257,56,344,83"/>
<area shape="rect" href="regle_8c.html#ab5f4f5a6960efe9d383d86c67c4f7190" title="Retourne l&#39;attribut &quot;numero_binaire&quot;." alt="" coords="233,107,368,133"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a9fdbceb307999d064bf86f99d3598539_icgraph.png" border="0" usemap="#automate_8c_a9fdbceb307999d064bf86f99d3598539_icgraph" alt=""/></div>
<map name="automate_8c_a9fdbceb307999d064bf86f99d3598539_icgraph" id="automate_8c_a9fdbceb307999d064bf86f99d3598539_icgraph">
<area shape="rect" title="Affiche les attributs de la structure automate_cell." alt="" coords="104,5,284,47"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="a5739d8a1c873eea2c0a1099cc20ea7ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5739d8a1c873eea2c0a1099cc20ea7ef">&#9670;&nbsp;</a></span>affiche_automate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void affiche_automate </td>
          <td>(</td>
          <td class="paramtype">ptr_automate&#160;</td>
          <td class="paramname"><em>automate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(ptr_automate)&#160;</td>
          <td class="paramname"><em>_affiche</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fonction generique permettant d'afficher differemment l'automate. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">automate</td><td>Un pointeur de pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
    <tr><td class="paramname">_affiche</td><td>Un pointeur de fonction pour le type d'affichage souhaité </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00251">251</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a5739d8a1c873eea2c0a1099cc20ea7ef_icgraph.png" border="0" usemap="#automate_8c_a5739d8a1c873eea2c0a1099cc20ea7ef_icgraph" alt=""/></div>
<map name="automate_8c_a5739d8a1c873eea2c0a1099cc20ea7ef_icgraph" id="automate_8c_a5739d8a1c873eea2c0a1099cc20ea7ef_icgraph">
<area shape="rect" title="Fonction generique permettant d&#39;afficher differemment l&#39;automate." alt="" coords="104,5,224,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a117ebb3a717f9bbd035e7b295dcf26cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a117ebb3a717f9bbd035e7b295dcf26cb">&#9670;&nbsp;</a></span>creer_automate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_automate creer_automate </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer un automate appartir des dnnées de configuration (structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>) </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur sur pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>ptr_automate Un pointeur sur un pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00048">48</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_cgraph.png" border="0" usemap="#automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_cgraph" alt=""/></div>
<map name="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_cgraph" id="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_cgraph">
<area shape="rect" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="5,241,117,268"/>
<area shape="rect" href="regle_8c.html#a66825a41280d604f6cd3c8b5f373a7ee" title="Créer une structure regle." alt="" coords="203,115,290,141"/>
<area shape="rect" href="fichier__configuration_8c.html#a21bb44a3b30408468720e6eb6eaa60ac" title="Retourne l&#39;attribut &quot;emplacement_initial&quot;." alt="" coords="165,165,328,192"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="201,216,292,243"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="203,267,290,293"/>
<area shape="rect" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="201,317,292,344"/>
<area shape="rect" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="209,368,284,395"/>
<area shape="rect" href="regle_8c.html#a251bd1b86ce38f9b98b2bd4ec42432da" title="Créer un tableau de configuration pour deux etats." alt="" coords="412,89,520,116"/>
<area shape="rect" href="regle_8c.html#ac7b95dee8a7e84ea3037cb05a7c963f5" title="Créer un tableau de configuration avec plus de 3 etats." alt="" coords="409,39,523,65"/>
<area shape="rect" href="utils_8c.html#a3b7908e8916a52b84521dfee1c9fa0d3" title="Convertit un nombre binaire en decimal." alt="" coords="403,140,529,167"/>
<area shape="rect" href="regle_8c.html#a012109f6ea56e4d9315d79f8a8f3f8e0" title="Créer un tbleau de configuration en fonction du nombre d&#39;état possible." alt="" coords="376,191,556,217"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="604,5,735,32"/>
<area shape="rect" href="utils_8c.html#a24de25c90e051b42fa3d59a7814b0b7c" title="Convertir un nombre decimal entre 0 et 256 en binaire." alt="" coords="606,123,733,149"/>
<area shape="rect" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="610,174,729,215"/>
<area shape="rect" href="configuration_8c.html#ab6f7671e46ec27554e8ab5da3a87e71d" title="Initialise la valeurs de sortie pour une structure configuration donnée." alt="" coords="610,57,729,98"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_icgraph.png" border="0" usemap="#automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_icgraph" alt=""/></div>
<map name="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_icgraph" id="automate_8c_a117ebb3a717f9bbd035e7b295dcf26cb_icgraph">
<area shape="rect" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="aa3ba78ebbf6cec54e6e4e0fa0fced8ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3ba78ebbf6cec54e6e4e0fa0fced8ee">&#9670;&nbsp;</a></span>delete_automate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delete_automate </td>
          <td>(</td>
          <td class="paramtype">ptr_automate *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Désaloue la mémoire des attributs de la structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a>, la structure elle même et son pointeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Un pointeur de pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00147">147</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_cgraph.png" border="0" usemap="#automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_cgraph" alt=""/></div>
<map name="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_cgraph" id="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_cgraph">
<area shape="rect" title="Désaloue la mémoire des attributs de la structure automate_cell, la structure elle même et son pointe..." alt="" coords="5,31,124,57"/>
<area shape="rect" href="regle_8c.html#a12710fa473da40d460ea41037c23ade9" title="Desallouer la memoire de la regle." alt="" coords="172,5,264,32"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="173,56,263,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_icgraph.png" border="0" usemap="#automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_icgraph" alt=""/></div>
<map name="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_icgraph" id="automate_8c_aa3ba78ebbf6cec54e6e4e0fa0fced8ee_icgraph">
<area shape="rect" title="Désaloue la mémoire des attributs de la structure automate_cell, la structure elle même et son pointe..." alt="" coords="104,5,223,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="aa3e1c93736b3bc4efedcb6a9846b1889"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3e1c93736b3bc4efedcb6a9846b1889">&#9670;&nbsp;</a></span>evoluer()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void evoluer </td>
          <td>(</td>
          <td class="paramtype">ptr_automate&#160;</td>
          <td class="paramname"><em>automate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Faire évoluer les ceellules de l'automate appartir d'une règle. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">automate</td><td>Un pointeur sur un pointeur de structure <a class="el" href="structautomate__cell.html" title="Un automate cellulaire.">automate_cell</a> </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="automate_8c_source.html#l00092">92</a> du fichier <a class="el" href="automate_8c_source.html">automate.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_cgraph.png" border="0" usemap="#automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_cgraph" alt=""/></div>
<map name="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_cgraph" id="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_cgraph">
<area shape="rect" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="5,157,68,184"/>
<area shape="rect" href="configuration_8c.html#a2da1ecaa0c8bee5b0de11c7a0cf25376" title="Créer une structure configuration en initialisant ses valeurs à 0." alt="" coords="130,5,261,32"/>
<area shape="rect" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="150,56,241,83"/>
<area shape="rect" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="152,107,239,133"/>
<area shape="rect" href="regle_8c.html#a46e5c74eda89fcaf925f91806d5bf86c" title="Retourne l&#39;attribut &quot;nombre_etat&quot;." alt="" coords="136,157,255,184"/>
<area shape="rect" href="configuration_8c.html#a8683ab4db526e75f84e627323f8a4b01" title="Initialise les valeurs pour une structure configuration donnée." alt="" coords="136,209,255,250"/>
<area shape="rect" href="regle_8c.html#a73aeb391bdf6be3f730c3d725360257a" title="Trouve la valeur de la sortie de la configuration passé en paramètre à partir d&#39;une configuration ide..." alt="" coords="116,275,275,301"/>
<area shape="rect" href="regle_8c.html#ad852e50dfdd6aa3660731b37de177d2c" title="Trouve la valeur de la sortie a partir de l&#39;indice donnee en parametre." alt="" coords="135,325,255,352"/>
<area shape="rect" href="configuration_8c.html#ab64d6ac48d2c2034a1f505bc2d174154" title="Compare uniquement les valeurs des états de gauche, du centre et de droite entre conf1 et conf2." alt="" coords="337,275,416,301"/>
<area shape="rect" href="configuration_8c.html#a9555a26a5ba14b904e676207072cc5af" title="Retourne l&#39;attribut etat_sortie." alt="" coords="323,325,431,352"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_icgraph.png" border="0" usemap="#automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_icgraph" alt=""/></div>
<map name="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_icgraph" id="automate_8c_aa3e1c93736b3bc4efedcb6a9846b1889_icgraph">
<area shape="rect" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="104,5,167,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
